<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>DPathSearch</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DPathSearch";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearch.html" target="_top">Frames</a></li>
<li><a href="DPathSearch.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.search</div>
<h2 title="Class DPathSearch" class="title">Class DPathSearch</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">fr.inria.alpage.frmgcm.search.AsyncSearchMod</a></li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.search.DPathSearch</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">DPathSearch</span>
extends <a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">AsyncSearchMod</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a></strong></code>
<div class="block">Get from the result of an elasticsearch hit (from the prefetch), the base material for the query</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#_result">_result</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#curPfFilters">curPfFilters</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#dpathProcesses">dpathProcesses</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#entrySet">entrySet</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#neo4jQuery">neo4jQuery</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#pfFilters">pfFilters</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#pfQuery">pfQuery</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#prefilter">prefilter</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#query">query</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#targetDocuments">targetDocuments</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_fr.inria.alpage.frmgcm.search.AsyncSearchMod">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;fr.inria.alpage.frmgcm.search.<a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">AsyncSearchMod</a></h3>
<code><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html#status">status</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#DPathSearch(java.lang.String)">DPathSearch</a></strong>(java.lang.String&nbsp;query)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#addPreFilter(com.mongodb.BasicDBObject,%20com.mongodb.BasicDBList)">addPreFilter</a></strong>(com.mongodb.BasicDBObject&nbsp;query,
            com.mongodb.BasicDBList&nbsp;filters)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#addUnionFilter(com.mongodb.BasicDBList)">addUnionFilter</a></strong>(com.mongodb.BasicDBList&nbsp;filters)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#execute()">execute</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#execute(com.mongodb.BasicDBList)">execute</a></strong>(com.mongodb.BasicDBList&nbsp;sentences)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#expandMacros(java.lang.String)">expandMacros</a></strong>(java.lang.String&nbsp;query)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#exportResult()">exportResult</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#exportResults(com.mongodb.BasicDBList)">exportResults</a></strong>(com.mongodb.BasicDBList&nbsp;list)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#filter()">filter</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#formatResult(com.mongodb.BasicDBList,%20int,%20int,%20int)">formatResult</a></strong>(com.mongodb.BasicDBList&nbsp;result,
            int&nbsp;from,
            int&nbsp;max,
            int&nbsp;status)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#getEntrySet(fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement)">getEntrySet</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a>&nbsp;sentence)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#getJSONResults(int,%20int)">getJSONResults</a></strong>(int&nbsp;from,
              int&nbsp;max)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#getResult(int,%20int)">getResult</a></strong>(int&nbsp;from,
         int&nbsp;max)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#getResults()">getResults</a></strong>()</code>
<div class="block">Process the list of search units to filter out the list of sentences prefetch from elasticsearch index (preFilter)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#initPreFilter()">initPreFilter</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#parseQuery()">parseQuery</a></strong>()</code>
<div class="block">Parse using a parser (???!!!!!) the input query and returns a list of Search Unit process
 May instanciate class attribute used by the prefilter function.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#preFilter()">preFilter</a></strong>()</code>
<div class="block">Using information from parseQuery, retrieve a set of sentence from elasticsearch index matching some properties of the query</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#processParseTree(fr.inria.alpage.frmgcm.dpp.SimpleNode,%20com.mongodb.BasicDBList)">processParseTree</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a>&nbsp;tree,
                com.mongodb.BasicDBList&nbsp;filter)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#processParseTree(fr.inria.alpage.frmgcm.dpp.SimpleNode,%20boolean,%20com.mongodb.BasicDBList)">processParseTree</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a>&nbsp;tree,
                boolean&nbsp;addPreFilter,
                com.mongodb.BasicDBList&nbsp;prefilter)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#setEntrySet(java.lang.String)">setEntrySet</a></strong>(java.lang.String&nbsp;entrySet)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#setTarget(com.mongodb.BasicDBList)">setTarget</a></strong>(com.mongodb.BasicDBList&nbsp;subcollectionIds)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="targetDocuments">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>targetDocuments</h4>
<pre>public&nbsp;com.mongodb.BasicDBList targetDocuments</pre>
</li>
</ul>
<a name="query">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>query</h4>
<pre>public&nbsp;java.lang.String query</pre>
</li>
</ul>
<a name="entrySet">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>entrySet</h4>
<pre>public&nbsp;java.lang.String entrySet</pre>
</li>
</ul>
<a name="prefilter">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>prefilter</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject prefilter</pre>
</li>
</ul>
<a name="pfFilters">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pfFilters</h4>
<pre>public&nbsp;com.mongodb.BasicDBList pfFilters</pre>
</li>
</ul>
<a name="curPfFilters">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>curPfFilters</h4>
<pre>public&nbsp;com.mongodb.BasicDBList curPfFilters</pre>
</li>
</ul>
<a name="pfQuery">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pfQuery</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject pfQuery</pre>
</li>
</ul>
<a name="_result">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_result</h4>
<pre>private&nbsp;com.mongodb.BasicDBList _result</pre>
</li>
</ul>
<a name="neo4jQuery">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>neo4jQuery</h4>
<pre>public&nbsp;java.lang.String neo4jQuery</pre>
</li>
</ul>
<a name="dpathProcesses">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dpathProcesses</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a> dpathProcesses</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DPathSearch(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DPathSearch</h4>
<pre>public&nbsp;DPathSearch(java.lang.String&nbsp;query)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setTarget(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTarget</h4>
<pre>public&nbsp;void&nbsp;setTarget(com.mongodb.BasicDBList&nbsp;subcollectionIds)</pre>
</li>
</ul>
<a name="initPreFilter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initPreFilter</h4>
<pre>private&nbsp;void&nbsp;initPreFilter()</pre>
</li>
</ul>
<a name="expandMacros(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>expandMacros</h4>
<pre>public static&nbsp;java.lang.String&nbsp;expandMacros(java.lang.String&nbsp;query)
                                     throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="parseQuery()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseQuery</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&nbsp;parseQuery()</pre>
<div class="block">Parse using a parser (???!!!!!) the input query and returns a list of Search Unit process
 May instanciate class attribute used by the prefilter function.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd></dd></dl>
</li>
</ul>
<a name="processParseTree(fr.inria.alpage.frmgcm.dpp.SimpleNode, com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processParseTree</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&nbsp;processParseTree(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a>&nbsp;tree,
                               com.mongodb.BasicDBList&nbsp;filter)</pre>
</li>
</ul>
<a name="processParseTree(fr.inria.alpage.frmgcm.dpp.SimpleNode, boolean, com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processParseTree</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&nbsp;processParseTree(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a>&nbsp;tree,
                               boolean&nbsp;addPreFilter,
                               com.mongodb.BasicDBList&nbsp;prefilter)</pre>
</li>
</ul>
<a name="getEntrySet(fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEntrySet</h4>
<pre>public&nbsp;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;getEntrySet(<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a>&nbsp;sentence)</pre>
</li>
</ul>
<a name="addUnionFilter(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addUnionFilter</h4>
<pre>public&nbsp;com.mongodb.BasicDBList[]&nbsp;addUnionFilter(com.mongodb.BasicDBList&nbsp;filters)</pre>
</li>
</ul>
<a name="addPreFilter(com.mongodb.BasicDBObject, com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPreFilter</h4>
<pre>public&nbsp;void&nbsp;addPreFilter(com.mongodb.BasicDBObject&nbsp;query,
                com.mongodb.BasicDBList&nbsp;filters)</pre>
</li>
</ul>
<a name="setEntrySet(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEntrySet</h4>
<pre>public&nbsp;void&nbsp;setEntrySet(java.lang.String&nbsp;entrySet)</pre>
</li>
</ul>
<a name="preFilter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>preFilter</h4>
<pre>private&nbsp;com.mongodb.BasicDBList&nbsp;preFilter()
                                   throws java.lang.Exception</pre>
<div class="block">Using information from parseQuery, retrieve a set of sentence from elasticsearch index matching some properties of the query</div>
<dl><dt><span class="strong">Returns:</span></dt><dd></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="getResults()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResults</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;getResults()</pre>
<div class="block">Process the list of search units to filter out the list of sentences prefetch from elasticsearch index (preFilter)</div>
<dl><dt><span class="strong">Returns:</span></dt><dd></dd></dl>
</li>
</ul>
<a name="getJSONResults(int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJSONResults</h4>
<pre>public&nbsp;java.lang.String&nbsp;getJSONResults(int&nbsp;from,
                              int&nbsp;max)</pre>
</li>
</ul>
<a name="exportResults(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exportResults</h4>
<pre>public static&nbsp;java.lang.String&nbsp;exportResults(com.mongodb.BasicDBList&nbsp;list)</pre>
</li>
</ul>
<a name="exportResult()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exportResult</h4>
<pre>public&nbsp;java.lang.String&nbsp;exportResult()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html#exportResult()">exportResult</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">AsyncSearchMod</a></code></dd>
</dl>
</li>
</ul>
<a name="execute(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre>public&nbsp;void&nbsp;execute(com.mongodb.BasicDBList&nbsp;sentences)
             throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="filter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filter</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;filter()
                               throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="execute()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre>public&nbsp;void&nbsp;execute()
             throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="getResult(int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResult</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;getResult(int&nbsp;from,
                                  int&nbsp;max)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html#getResult(int,%20int)">getResult</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">AsyncSearchMod</a></code></dd>
</dl>
</li>
</ul>
<a name="formatResult(com.mongodb.BasicDBList, int, int, int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>formatResult</h4>
<pre>public static&nbsp;com.mongodb.BasicDBObject&nbsp;formatResult(com.mongodb.BasicDBList&nbsp;result,
                                     int&nbsp;from,
                                     int&nbsp;max,
                                     int&nbsp;status)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearch.html" target="_top">Frames</a></li>
<li><a href="DPathSearch.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
